module.exports = {
    "settings": {
        "react": {
            "version": "detect"
        }
    },
    "env": {
        "browser": true,
        "node": true,
        "es6": true
    },
    "plugins": [
        "react"
    ],
    "extends": [
        "eslint:recommended",
        "plugin:react/recommended" //https://www.npmjs.com/package/eslint-plugin-react
    ],
    "parser": "babel-eslint",
    "rules": {
        //https://eslint.org/docs/rules/
        "curly" : 0, //https://eslint.org/docs/rules/curly
        "eqeqeq" : 1, //https://eslint.org/docs/rules/eqeqeq
        //"indent": ["warn", 4], //https://eslint.org/docs/rules/indent
        "linebreak-style": ["error", "unix"],
        "no-dupe-keys" :1, //https://eslint.org/docs/rules/no-dupe-keys
        "no-duplicate-case" : 0, //https://eslint.org/docs/rules/no-duplicate-case
        "no-empty": 0, //https://eslint.org/docs/rules/no-empty
        "no-empty-function": 0, //https://eslint.org/docs/rules/no-empty-function
        "no-extra-semi" : 0,
        "no-eval" : 0,
        "no-mixed-spaces-and-tabs": 0,
        "no-prototype-builtins": 0, //https://eslint.org/docs/rules/no-prototype-builtins
        "no-redeclare" : 0, //https://eslint.org/docs/rules/no-redeclare
        "no-unused-vars": 0,
        "no-undef" : 0,
        //"no-console": "warn" //https://eslint.org/docs/rules/no-console
        "no-unreachable": 0,
        "react/jsx-key" : 0,
        "react/jsx-no-target-blank" : 1, //https://github.com/yannickcr/eslint-plugin-react/blob/HEAD/docs/rules/jsx-no-target-blank.md
        "react/no-unescaped-entities" : 0,
        "react/prop-types" : 0,
        "react/react-in-jsx-scope" : 0,
        "semi": [0, "always"],
        "valid-typeof" : 0 //https://eslint.org/docs/rules/valid-typeof
    }
};