import React from "react";
import classNames from "classnames";

import IDUtil from "../../util/IDUtil"; // for generating unique CSS classnames for this component
import { ResourceViewerContext } from "./ResourceViewerContext";

/*
	This component show the static metadata and content annotations
*/

export const COLUMN_STATIC = "columnStatic";
export const COLUMN_ANNOTATIONS = "columnAnnotations";
export const SESSION_STORAGE_COLUMNS = {
    [COLUMN_STATIC]: "bg__columnStatic",
    [COLUMN_ANNOTATIONS]: "bg__columnAnnotations"
}

export default class BaseColumn extends React.Component {
    static contextType = ResourceViewerContext;

    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div
                className={classNames(
                    IDUtil.cssClassName("base-column"),
                    this.props.className
                )}
            >
                {this.props.children}
            </div>
        );
    }
}

BaseColumn.propTypes = {};
