/**
 * Strings contains the text for labels and help messages in the Resource Viewer
 */

export default {
    // Media column
    PLAYLIST_TITLE: "Playlist",
    PLAYLIST_HELP: "The playlist contains a list of playable media objects",
    PLAYLIST_PREV_TITLE: "Go to previous mediaobject in the playlist",
    PLAYLIST_NEXT_TITLE: "Go to next mediaobject in the playlist",

    // Media column : Timeline
    DELETE_SEGMENT_BUTTON_TITLE: "Delete active user segment (Shift+D)",
    ANNOTATE_SEGMENT_BUTTON_TITLE:
        "Annotate active user segment (Double click on user segment)",
    TIMELINE_LAYER_USER_SEGMENTS_TITLE: "My Segments",
    TIMELINE_LAYER_USER_SEGMENTS_HELP: "User annotated segments",
    TIMELINE_LAYER_USER_SEGMENTS_ADD_BUTTON_TITLE:
        "Click: Add new segment (shift+N)\nShift+Click: Concat new segment (shift+C)\nCtrl+Click: Add new segment on current position (shift+N), end on mouse up (o)",
    TIMELINE_LAYER_CONTENT_SEGMENTS_TITLE: "Segments",
    TIMELINE_LAYER_CONTENT_SEGMENTS_HELP: "Segments in the media object",
    TIMELINE_LAYER_ASR_SENTENCES_TITLE: "ASR Sentences",
    TIMELINE_LAYER_ASR_SENTENCES_HELP:
        "Full ASR sentences in the title popup. The darker the section, the more words in it",
    TIMELINE_LAYER_ASR_WORDS_TITLE: "Words",
    TIMELINE_LAYER_ASR_WORDS_HELP:
        "A simple wordcloud covering 30 seconds of ASR data",
    TIMELINE_LAYER_AGENDAPOINTS_TITLE: "Agendapoints",
    TIMELINE_LAYER_AGENDAPOINTS_HELP: "Full text in the popup",

    TIMELINE_LAYER_MEETINGPOINTS_TITLE: "Meeting order",
    TIMELINE_LAYER_MEETINGPOINTS_HELP: "Full text in the popup",

    TIMELINE_LAYER_VOTING_TITLE: "Votings",
    TIMELINE_LAYER_VOTING_HELP: "Full text in the popup",

    TIMELINE_LAYER_GENERALDISCUSSION_TITLE: "Discussions",
    TIMELINE_LAYER_GENERALDISCUSSION_HELP: "Full text in the popup",

    // Static column : Metadata
    METADATA_TITLE: "Metadata",
    METADATA_HELP: "Static metadata fields straight from the collection",

    // Static column : Content annotations
    CONTENT_ANNOTATIONS_TITLE: "Content Annotations",
    CONTENT_ANNOTATIONS_HELP:
        "Annotations that have been created on the original content, e.g. ASR, Manual labeling",
    CONTENT_ANNOTATIONS_TYPE_HELP:
        "The types of content annotations available on this mediaobject",

    // Annotations column : My Annotations
    MY_ANNOTATIONS_TITLE: "My Annotations",
    MY_ANNOTATIONS_HELP:
        "Annotations you have created on this resource, media object or segment",

    ANNOTATIONS_FIRST_SELECT_PROJECT:
        "You have to set an active project to which the annotations can be added.",
    ANNOTATIONS_FIRST_BOOKMARK:
        "You have to %ACTION% this resource before annotations can be added.",

    // Annotations column : Filter
    ANNOTATION_FILTER_SHIFT_CLICK:
        "Use Shift+Click to only select this annotation type",

    // Annotations column : Levels
    ANNOTATION_TARGET_TITLE_RESOURCE: "Resource",
    ANNOTATION_TARGET_HELP_RESOURCE:
        "Annotations on the (abstract) main resource level",

    ANNOTATION_TARGET_HELP_MEDIAOBJECT:
        "Annotations on the current active media object",

    ANNOTATION_TARGET_TITLE_SEGMENT: "Segments",
    ANNOTATION_TARGET_HELP_SEGMENT: "Create and annotate segments",
    ANNOTATION_TARGET_HELP_USER_SEGMENT: "User layer with segments",

    // Annotation column : Types
    ANNOTATION_TYPE_TITLE_CLASSIFICATION: "Code",
    ANNOTATION_TYPE_HELP_CLASSIFICATION:
        "Classifications from selected or custom vocabularies",
    ANNOTATION_TYPE_CLASSIFICATION_VOCABULARY: "Vocabulary",
    ANNOTATION_TYPE_CLASSIFICATION_CURRENT:
        "Show codes already in use within project",
    ANNOTATION_TYPE_CLASSIFICATION_CURRENT_EMPTY: "No codes in use yet",

    ANNOTATION_TYPE_TITLE_COMMENT: "Comment",
    ANNOTATION_TYPE_HELP_COMMENT: "Textual comments or notes",

    ANNOTATION_TYPE_TITLE_LINK: "Link",
    ANNOTATION_TYPE_HELP_LINK: "Link to an external web resource",

    ANNOTATION_TYPE_TITLE_METADATA: "Metadata",
    ANNOTATION_TYPE_HELP_METADATA: "Custom metadata fields",

    ANNOTATION_TYPE_ADD: "Add new annotation",
    ANNOTATION_TYPE_ADD_STOP: "Hide form",

    SEGMENT_ADD: "Add segment",
    SEGMENT_ADD_STOP: "Hide form",
    SEGMENT_TITLE_EDIT: "Double click to edit",
    SEGMENT_TITLE_EDIT_SUBMIT: "Press enter to save",
    SEGMENT_DELETE_CONFIRM: "Are you sure you want to delete this segment?",
    SEGMENT_DELETE_TITLE: "Delete segment",

    BUTTON_ADD_USER_LAYER: "Add layer",
    BUTTON_DELETE_ACTIVE_USER_LAYER_HELP: "Delete active user layer",
    BUTTON_DELETE_USER_LAYER_HELP: "Delete user layer",
    BUTTON_DELETE_USER_LAYER_CONFIRM:
        "Are you sure you want to delete layer '%LAYER_NAME%'? All segments in the layer will be deleted.",
    BUTTON_DELETE_USER_LAYER_DENIED: "The active layer can not be deleted",
};
