import React from 'react';
import PropTypes from 'prop-types';
import IDUtil from '../../../util/IDUtil';
import classNames from 'classnames';

export default class Entity extends React.Component {
    constructor(props) {
        super(props);
    }

    deleteEntity = e => {
        e.preventDefault();
        this.props.delete(this.props.entity);
    };

    render() {
        const entity = this.props.entity;
        return (
                <label
                    className={classNames(IDUtil.cssClassName('link-type'))}
                >
                    <div
                        className="delete"
                        title="Delete"
                        onClick={this.deleteEntity}
                     />
                    {entity.label}
                </label>
        );
    }
}

Entity.propTypes = {
    entity: PropTypes.object,
    delete: PropTypes.func.isRequired
};
