import FlexPlayerUtil from '../util/FlexPlayerUtil';
import TimeUtil from '../util/TimeUtil';

class TranscriptLine {

	constructor(mediaObjectId, text, startMillis, endMillis=-1) {
		this.mediaObjectId = mediaObjectId;
		this.text = text;
		this.startMillis = startMillis;
		this.endMillis = endMillis;
	}

	static fromASR = asrLine => {
		return new TranscriptLine(
			asrLine.carrierId,
			asrLine.words,
            FlexPlayerUtil.timeRelativeToOnAir(
                asrLine.start / 1000,
                mediaObject
            ) * 1000
		)
	}

	prettyStartLabel = mediaObject => {
		return TimeUtil.formatMillisToTime(
	        FlexPlayerUtil.timeRelativeToOnAir(
	            this.startMillis / 1000,
	            mediaObject
	        ) * 1000
	    ).replace(/^00:/g, '') // remove prefixed 00: hours (so first hour is more compact)
	}
}